PIPE(2)

NAME
pipe - create pipe

SYNOPSIS
#include <unistd.h>

int pipe(int filedes[2]);

DESCRIPTION
pipe creates a pair of file descriptors, pointing to a pipe inode, and places them in the array pointed to by filedes. filedes[0] is for reading, filedes[1] is for writing.

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EFAULT
    filedes is not valid.

EMFILE
    Too many file descriptors are in use by the process.

ENFILE
    The system limit on the total number of open files has been reached.

CONFORMING TO
POSIX.1

SEE ALSO
fork(2), read(2), socketpair(2), write(2)